Send an event
curl --request POST \
--url https://www.chatbase.co/api/v2/agents/{agentId}/missions/events \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "trial_started",
"subject": {
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"email": "jsmith@example.com",
"phone": "<string>"
},
"properties": {
"plan": "pro"
},
"details": "<string>",
"idempotency_key": "signup-8812"
}
'import requests
url = "https://www.chatbase.co/api/v2/agents/{agentId}/missions/events"
payload = {
"type": "trial_started",
"subject": {
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"email": "jsmith@example.com",
"phone": "<string>"
},
"properties": { "plan": "pro" },
"details": "<string>",
"idempotency_key": "signup-8812"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'trial_started',
subject: {
run_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
external_id: '<string>',
email: 'jsmith@example.com',
phone: '<string>'
},
properties: {plan: 'pro'},
details: '<string>',
idempotency_key: 'signup-8812'
})
};
fetch('https://www.chatbase.co/api/v2/agents/{agentId}/missions/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.chatbase.co/api/v2/agents/{agentId}/missions/events",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'type' => 'trial_started',
'subject' => [
'run_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'external_id' => '<string>',
'email' => 'jsmith@example.com',
'phone' => '<string>'
],
'properties' => [
'plan' => 'pro'
],
'details' => '<string>',
'idempotency_key' => 'signup-8812'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.chatbase.co/api/v2/agents/{agentId}/missions/events"
payload := strings.NewReader("{\n \"type\": \"trial_started\",\n \"subject\": {\n \"run_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"external_id\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"phone\": \"<string>\"\n },\n \"properties\": {\n \"plan\": \"pro\"\n },\n \"details\": \"<string>\",\n \"idempotency_key\": \"signup-8812\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://www.chatbase.co/api/v2/agents/{agentId}/missions/events")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"type\": \"trial_started\",\n \"subject\": {\n \"run_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"external_id\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"phone\": \"<string>\"\n },\n \"properties\": {\n \"plan\": \"pro\"\n },\n \"details\": \"<string>\",\n \"idempotency_key\": \"signup-8812\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.chatbase.co/api/v2/agents/{agentId}/missions/events")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"type\": \"trial_started\",\n \"subject\": {\n \"run_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"external_id\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"phone\": \"<string>\"\n },\n \"properties\": {\n \"plan\": \"pro\"\n },\n \"details\": \"<string>\",\n \"idempotency_key\": \"signup-8812\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Events
Send an event
Records an event about a person or a mission run. Missions use events to start, wake and end runs.
POST
/
agents
/
{agentId}
/
missions
/
events
Send an event
curl --request POST \
--url https://www.chatbase.co/api/v2/agents/{agentId}/missions/events \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "trial_started",
"subject": {
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"email": "jsmith@example.com",
"phone": "<string>"
},
"properties": {
"plan": "pro"
},
"details": "<string>",
"idempotency_key": "signup-8812"
}
'import requests
url = "https://www.chatbase.co/api/v2/agents/{agentId}/missions/events"
payload = {
"type": "trial_started",
"subject": {
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"email": "jsmith@example.com",
"phone": "<string>"
},
"properties": { "plan": "pro" },
"details": "<string>",
"idempotency_key": "signup-8812"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'trial_started',
subject: {
run_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
external_id: '<string>',
email: 'jsmith@example.com',
phone: '<string>'
},
properties: {plan: 'pro'},
details: '<string>',
idempotency_key: 'signup-8812'
})
};
fetch('https://www.chatbase.co/api/v2/agents/{agentId}/missions/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.chatbase.co/api/v2/agents/{agentId}/missions/events",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'type' => 'trial_started',
'subject' => [
'run_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'external_id' => '<string>',
'email' => 'jsmith@example.com',
'phone' => '<string>'
],
'properties' => [
'plan' => 'pro'
],
'details' => '<string>',
'idempotency_key' => 'signup-8812'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.chatbase.co/api/v2/agents/{agentId}/missions/events"
payload := strings.NewReader("{\n \"type\": \"trial_started\",\n \"subject\": {\n \"run_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"external_id\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"phone\": \"<string>\"\n },\n \"properties\": {\n \"plan\": \"pro\"\n },\n \"details\": \"<string>\",\n \"idempotency_key\": \"signup-8812\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://www.chatbase.co/api/v2/agents/{agentId}/missions/events")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"type\": \"trial_started\",\n \"subject\": {\n \"run_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"external_id\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"phone\": \"<string>\"\n },\n \"properties\": {\n \"plan\": \"pro\"\n },\n \"details\": \"<string>\",\n \"idempotency_key\": \"signup-8812\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.chatbase.co/api/v2/agents/{agentId}/missions/events")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"type\": \"trial_started\",\n \"subject\": {\n \"run_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"external_id\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"phone\": \"<string>\"\n },\n \"properties\": {\n \"plan\": \"pro\"\n },\n \"details\": \"<string>\",\n \"idempotency_key\": \"signup-8812\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Path Parameters
Body
application/json